aboutsummaryrefslogtreecommitdiffstats
path: root/kud
diff options
context:
space:
mode:
authorMichal Ptacek <m.ptacek@partner.samsung.com>2019-05-23 15:05:38 +0200
committerSamuli Silvius <s.silvius@partner.samsung.com>2019-06-20 09:00:30 +0300
commit76acfa887ed36697e2ddff52f2fc84ee3fcf6c72 (patch)
tree628f140a140b91120ca6a7e6deb5d97426fd951d /kud
parent8233c9d84cb79759ca40eb80d8ed861c771a527b (diff)
Adding ci-kud-installer wrapper
this wrapper is new entry point for CI job triggering aio.sh execution. Change-Id: I650675c9cfff396010bf3a1d36e9840dedf9d403 Issue-ID: MULTICLOUD-635 Signed-off-by: Michal Ptacek <m.ptacek@partner.samsung.com> Signed-off-by: Samuli Silvius <s.silvius@partner.samsung.com>
Diffstat (limited to 'kud')
-rwxr-xr-xkud/ci/kud-installer.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/kud/ci/kud-installer.sh b/kud/ci/kud-installer.sh
new file mode 100755
index 00000000..9fdf5df6
--- /dev/null
+++ b/kud/ci/kud-installer.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+#
+# This is wrapper script for executing kud deployment
+# in community CI jenkins.
+# Purpose is to gate all repo commits.
+# In addition to KUD deployment testing itself, also all tests are run for k8s plugin as well.
+#
+
+set -x -e -o pipefail
+
+curr_dir=$(cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd)
+cd ${curr_dir}/../hosting_providers/baremetal
+./aio.sh